QEvent(3qt)

NAME
QEvent - Base class of all event classes. Event objects contain event parameters

SYNOPSIS

#include <qevent.h>

Inherited by QChildEvent, QCloseEvent, QCustomEvent, QDragLeaveEvent, QDragMoveEvent, QDragResponseEvent, QDropEvent, QFocusEvent, QHideEvent, QKeyEvent, QMouseEvent, QMoveEvent, QPaintEvent, QResizeEvent, QShowEvent and QTimerEvent.

  Public Members
QEvent ( int type )
~QEvent ()
int type () const

DESCRIPTION
The QEvent class is base class of all event classes. Event objects contain event parameters.

The main event loop of Qt fetches native window system events from the event queue, translates them into QEvent and sends the translated events to QObjects.

Generally, events come from the underlying window system, but it is also possible to manually send events through the QApplication class using QApplication::sendEvent() and QApplication::postEvent().

QObject received events by having its QObject::event() function called. The default implementation simply calls QObject::timerEvent() for timer events and ignores all other events. QWidget reimplements event() and dispatches incoming events to various event handles such as QWidget::keyPressEvent() and QWidget::mouseMoveEvent().

The basic QEvent only contains an event type parameter. Subclasses of QEvent contain additional parameters that descripe the particular event.

See also: QObject::event(), QObject::installEventFilter(), QWidget::event(), QApplication::sendEvent(), QApplcation::postEvent() and QApplication::processEvents().

MEMBER FUNCTION DOCUMENTATION

QEvent::QEvent ( int type )
Contructs an event object with a type. The file qevent.h lists all event types.

QEvent::~QEvent ()
Destroys the event. Reports an error if the event has been posted.

int QEvent::type () const
Returns the event type.

SEE ALSO
http://www.troll.no/qt/qevent.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.